%global srcname tinytuya

Name:           python-%{srcname}
Version:        1.10.2
Release:        1%{?dist}
Summary:        Python module to interface with Tuya WiFi smart devices
License:        MIT
URL:            https://github.com/jasonacox/tinytuya
Source0:        https://github.com/jasonacox/%{srcname}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-colorama
BuildRequires:  python3-crypto
BuildRequires:  python3-pyaes
BuildRequires:  python3-requests

# not automatically required
Requires:  python3-crypto
Requires:  python3-pyaes

%global _description %{expand:
This python module controls and reads state of Tuya compatible WiFi Smart Devices (Plugs, Switches, Lights, Window Covers, etc.) using the local area network (LAN) or the cloud (TuyaCloud API). This is a compatible replacement for the pytuya PyPi module and currently supports Tuya Protocols 3.1, 3.2, 3.3, 3.4 and 3.5.

Tuya devices are designed to communicate with the TuyaCloud but most also expose a local area network API. This allows us to directly control the devices without using the cloud. This python module provides a way to poll status and issue commands to these devices.

TinyTuya can also connect to the Tuya Cloud to poll status and issue commands to Tuya devices.}

%description %_description

%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %_description


%prep
%autosetup -p1 -n %{srcname}-%{version}
# there is no pycryptodome in Fedora now, but package can work without it too
sed -i "s/'pycryptodome'/'pycryptodomex'/" setup.py


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{srcname}


#%%check
#%%pytest


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.md RELEASE.md SECURITY.md docs examples


%changelog
* Fri Feb 10 2023 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.10.2-1
- new version

* Sat Feb 04 2023 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.10.1-1
- Initial release.
